
Figure - Bug #113473
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT2】【Monkey】Monkey测试8小时，出现CRASH: com.android.settings（11）
2022-11-01 15:02 - CD Test赵飞

Status: CLOSED Start date: 2022-11-01

Priority: Normal Due date: 2022-11-01

Assignee: CD Test赵飞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_update_20221130

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202210290232

Resolution: DUPLICATE Degrated: No

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: Monkey Test Root cause: 该问题与113460属于同一问题，我们将与113460一同修复

Description

执行命令：

1. adb shell

2. monkey --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes -s 20 --throttle 200

--pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 5 --pct-anyevent 5 --ignore-crashes -v -v -v 180000

2>/sdcard/error.txt 1>/sdcard/info.txt

错误日志：

10-28 11:43:08.569  6173 22858 W Monkey  : // CRASH: com.android.settings (pid 28346)

10-28 11:43:08.569  6173 22858 W Monkey  : // Short Msg: java.lang.IllegalStateException

10-28 11:43:08.570  6173 22858 W Monkey  : // Long Msg: java.lang.IllegalStateException: Fragment NightDisplaySettings{bc1afcc}

(8dcdd95c-55d0-426f-8196-46becaa9967b) id=0x7f0a01b4} declared target fragment DisplaySettings{8d03215}

(06d2a6bf-a8f2-4749-97ba-6f77a9434c3d)} that does not belong to this FragmentManager!

10-28 11:43:08.570  6173 22858 W Monkey  : // Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/1230:userdebug/test-keys

10-28 11:43:08.570  6173 22858 W Monkey  : // Build Changelist: 1230

10-28 11:43:08.571  6173 22858 W Monkey  : // Build Time: 1666894340000

10-28 11:43:08.571  6173 22858 W Monkey  : // java.lang.IllegalStateException: Fragment NightDisplaySettings{bc1afcc}

(8dcdd95c-55d0-426f-8196-46becaa9967b) id=0x7f0a01b4} declared target fragment DisplaySettings{8d03215}

(06d2a6bf-a8f2-4749-97ba-6f77a9434c3d)} that does not belong to this FragmentManager!

10-28 11:43:08.571  6173 22858 W Monkey  : //     at androidx.fragment.app.FragmentStateManager.attach(FragmentStateManager.java:414)

10-28 11:43:08.571  6173 22858 W Monkey  : //     at

androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:251)

10-28 11:43:08.571  6173 22858 W Monkey  : //     at

androidx.fragment.app.FragmentManager.executeOpsTogether(FragmentManager.java:2209)

10-28 11:43:08.571  6173 22858 W Monkey  : //     at

androidx.fragment.app.FragmentManager.removeRedundantOperationsAndExecute(FragmentManager.java:2120)

10-28 11:43:08.571  6173 22858 W Monkey  : //     at

androidx.fragment.app.FragmentManager.execPendingActions(FragmentManager.java:2022)

10-28 11:43:08.571  6173 22858 W Monkey  : //     at androidx.fragment.app.FragmentManager$5.run(FragmentManager.java:527)

10-28 11:43:08.571  6173 22858 W Monkey  : //     at android.os.Handler.handleCallback(Handler.java:938)

10-28 11:43:08.571  6173 22858 W Monkey  : //     at android.os.Handler.dispatchMessage(Handler.java:99)

10-28 11:43:08.571  6173 22858 W Monkey  : //     at android.os.Looper.loopOnce(Looper.java:201)

10-28 11:43:08.571  6173 22858 W Monkey  : //     at android.os.Looper.loop(Looper.java:288)

10-28 11:43:08.571  6173 22858 W Monkey  : //     at android.app.ActivityThread.main(ActivityThread.java:7880)

10-28 11:43:08.571  6173 22858 W Monkey  : //     at java.lang.reflect.Method.invoke(Native Method)
10-28 11:43:08.571  6173 22858 W Monkey  : //     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

10-28 11:43:08.571  6173 22858 W Monkey  : //     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

10-28 11:43:08.571  6173 22858 W Monkey  : // 

History

#1 - 2022-11-01 16:07 - CD Test赵飞

日志见Bug #113456 附件

#2 - 2022-11-01 17:43 - CD AF-陈羽杰

- Status changed from New to ASSIGNED

- % Done changed from 0 to 10

#3 - 2022-11-01 17:44 - CD AF-陈羽杰

- Due date set to 2022-11-01

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD Test赵飞

- % Done changed from 10 to 100

- Resolution changed from -- to DUPLICATE

- Degrated changed from -- to No

#4 - 2022-11-02 10:55 - CD AF-陈羽杰

- Root cause set to 该问题与113460属于同一问题，我们将与113460一同修复

#5 - 2022-11-02 14:34 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

与113460属于同一问题，暂时关闭此问题

#6 - 2022-11-02 14:34 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
